# Manual do Usuário do &kde;

Darian
Lanx

    content@openprojects.net

04/01/2010
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Reconstrói a 'cache' de configurações do sistema.

## Sintaxe

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrição

O `kbuildsycoca4`, como parte das ferramentas da linha de comando do &kde;, garante o funcionamento correto do &kde; ao ler todos os arquivos `.desktop`, `.xml` e `.protocol` para construir uma base de dados binária.

O &kde; em si acessa esta base de dados, durante a sua operação, para oferecer as informações de configuração que um programa necessita para executar.

Esta ferramenta faz parte do 'ksycoca4', que significa &kde; System Configuration Cache ('Cache' de Configuração do Sistema KDE)

## Opções

`--nosignal`

  Não enviar sinais aos aplicativos para atualizar

`--noincremental`

  Desativar a atualização incremental, reler tudo

`--checkstamps`

  Verificar as marcas de tempo do arquivo

`--nocheckfiles`

  Desativar a verificação de arquivos (perigoso)

`--global`

  Criar uma base de dados global

`--menutest`

  Efetuar apenas a execução do teste de geração do menu

`--track id-menu`

  Seguir o id do menu para depuração

`--help`

  Mostra a ajuda sobre as opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostrar todas as opções

`--author`

  Exibe informações sobre o autor

`-v , --version`

  Exibe informações sobre a versão

`--license`

  Exibe informações sobre a licença

## Utilização

Uma forma normal de executar este programa é simplesmente digitando o seguinte comando na linha de comando ``kbuildsycoca4``

## Arquivos

`/var/tmp/kde-$USER/ksycoca4`

  A pasta padrão onde são guardados os arquivos da 'cache'.

## Variáveis de Ambiente

$`KDEDIRS`

  Indica que pastas fazem parte da instalação do KDE

$`KDESYCOCA`

  Especifica o caminho do arquivo de banco de dados do sycoca

## Veja Também

kdeinit4

## Problemas

Ainda existem provavelmente muitos erros. Use o bugs.kde.org para reportá-los.